%global momorel 2
%global qtver 4.5.2
%global kdever 4.3.1
%global kdelibsrel 1m

Summary: A Powerful Media Player For KDE
Name: amarok
Version: 2.2.0
Release: %{momorel}m%{?dist}
License: GPLv2 and LGPLv2
URL: http://amarok.kde.org/
Group: Applications/Multimedia
Source0: ftp://ftp.kde.org/pub/kde/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: dbus
Requires: faac
# Requires: k3b >= 0.11
Requires: libifp
Requires: libgpod
Requires: libmtp
Requires: libnjb
Requires: libtunepimp
Requires: libusb
# Requires: libvisual-plugins
Requires: loudmouth
# Requires: moodbar
Requires: mysql
Requires: mysql-embedded
Requires: qtscriptbindings
Requires: ruby
Requires: strigi-libs >= 0.6.2
Requires: taglib >= 1.6
Requires: taglib-extras >= 1.0.1
Requires: unzip
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: SDL-devel >= 1.2.11-2m
BuildPreReq: cmake
BuildPreReq: curl-devel
BuildPreReq: dbus-glib-devel
BuildPreReq: faac-devel
BuildPreReq: gettext
BuildPreReq: glib2-devel
BuildPreReq: libcurl-devel
BuildPreReq: libifp-devel >= 1.0.0.2-3m
BuildPreReq: libgpod-devel >= 0.7.0
BuildPreReq: liblastfm-devel
BuildPreReq: libmtp-devel >= 1.0.1
BuildPreReq: libnjb-devel >= 2.2.5-3m
BuildPreReq: libtunepimp-devel >= 0.5.3
BuildPreReq: libusb-devel
# BuildPreReq: libvisual-devel >= 0.4.0-3m
BuildPreReq: libxml2-devel
BuildPreReq: loudmouth-devel
BuildPreReq: mysql-devel >= 5.1.32
BuildPreReq: mysql-embedded-devel
BuildPreReq: openssl-devel
BuildPreReq: phonon-devel
BuildPreReq: qtscriptbindings
BuildPreReq: ruby
BuildPreReq: soprano-devel
BuildPreReq: strigi-devel >= 0.6.2
BuildPreReq: taglib-devel >= 1.6
BuildPreReq: taglib-extras-devel >= 1.0.1
BuildPreReq: xine-lib >= 1.1.4-3m
BuildPreReq: zlib-devel
Obsoletes: %{name}-gstreamer < %{version}-%{release}
Obsoletes: %{name}-helix < %{version}-%{release}
Obsoletes: %{name}-libvisual < %{version}-%{release}
Obsoletes: %{name}-xine < %{version}-%{release}
Obsoletes: %{name}-xmms
Obsoletes: %{name}-yauap < %{version}-%{release}
Obsoletes: %{name}FS
Obsoletes: anp

%description
Amarok is a media player for all kinds of media.
This includes MP3, Ogg Vorbis, audio CDs, podcasts and streams.
Playlists can be stored in .m3u or .pls files.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
	-DBINDINGS_RUN_RESULT:INTERNAL=1 \
	-DSTRIGI_STREAMANALYZER_LIBRARY_RELEASE=%{_kde4_libdir}/libstreamanalyzer.so \
	-DSTRIGI_STREAMS_LIBRARY_RELEASE=%{_kde4_libdir}/libstreams.so \
	-DSTRIGI_STRIGIQTDBUSCLIENT_LIBRARY_RELEASE=%{_kde4_libdir}/libstrigiqtdbusclient.so \
        ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# link icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/amarok.png %{buildroot}%{_datadir}/pixmaps/amarok.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL OXYGEN README TODO
%{_kde4_bindir}/amarok
%{_kde4_bindir}/amarok_afttagger
%{_kde4_bindir}/amarokcollectionscanner
%{_kde4_bindir}/amarokmp3tunesharmonydaemon
%{_kde4_bindir}/amarokpkg
%{_kde4_libdir}/kde4/amarok_appletscript_simple_javascript.so
%{_kde4_libdir}/kde4/amarok_collection-audiocdcollection.so
%{_kde4_libdir}/kde4/amarok_collection-daapcollection.so
%{_kde4_libdir}/kde4/amarok_collection-ipodcollection.so
%{_kde4_libdir}/kde4/amarok_collection-mtpcollection.so
%{_kde4_libdir}/kde4/amarok_collection-mysqlecollection.so
%{_kde4_libdir}/kde4/amarok_collection-mysqlservercollection.so
%{_kde4_libdir}/kde4/amarok_collection-umscollection.so
%{_kde4_libdir}/kde4/amarok_containment_vertical.so
%{_kde4_libdir}/kde4/amarok_context_applet_albums.so
%{_kde4_libdir}/kde4/amarok_context_applet_currenttrack.so
%{_kde4_libdir}/kde4/amarok_context_applet_info.so
%{_kde4_libdir}/kde4/amarok_context_applet_lyrics.so
%{_kde4_libdir}/kde4/amarok_context_applet_photos.so
%{_kde4_libdir}/kde4/amarok_context_applet_videoclip.so
%{_kde4_libdir}/kde4/amarok_context_applet_wikipedia.so
%{_kde4_libdir}/kde4/amarok_data_engine_current.so
%{_kde4_libdir}/kde4/amarok_data_engine_info.so
%{_kde4_libdir}/kde4/amarok_data_engine_lyrics.so
%{_kde4_libdir}/kde4/amarok_data_engine_photos.so
%{_kde4_libdir}/kde4/amarok_data_engine_videoclip.so
%{_kde4_libdir}/kde4/amarok_data_engine_wikipedia.so
%{_kde4_libdir}/kde4/amarok_massstorage-device.so
%{_kde4_libdir}/kde4/amarok_runnerscript_javascript.so
%{_kde4_libdir}/kde4/amarok_service_ampache.so
%{_kde4_libdir}/kde4/amarok_service_jamendo.so
%{_kde4_libdir}/kde4/amarok_service_lastfm.so
%{_kde4_libdir}/kde4/amarok_service_magnatunestore.so
%{_kde4_libdir}/kde4/amarok_service_mp3tunes.so
%{_kde4_libdir}/kde4/amarok_service_opmldirectory.so
%{_kde4_libdir}/kde4/kcm_amarok_service_ampache.so
%{_kde4_libdir}/kde4/kcm_amarok_service_lastfm.so
%{_kde4_libdir}/kde4/kcm_amarok_service_magnatunestore.so
%{_kde4_libdir}/kde4/kcm_amarok_service_mp3tunes.so
%{_kde4_libdir}/strigi/strigita_*.so
%{_kde4_libdir}/libamarok*.so*
%{_kde4_datadir}/applications/kde4/amarok.desktop
%{_kde4_appsdir}/amarok
%{_kde4_appsdir}/desktoptheme/Amarok-Mockup
%{_kde4_appsdir}/desktoptheme/default/widgets/amarok-*.svg
%{_kde4_appsdir}/solid/actions/amarok-play-audiocd.desktop
%{_kde4_configdir}/amarok.knsrc
%{_kde4_configdir}/amarok_homerc
%{_kde4_configdir}/amarokapplets.knsrc
%{_kde4_datadir}/config.kcfg/amarokconfig.kcfg
%{_datadir}/dbus-1/interfaces/org.freedesktop.MediaPlayer.player.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.MediaPlayer.root.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.MediaPlayer.tracklist.xml
%{_datadir}/dbus-1/interfaces/org.kde.amarok.Collection.xml
%{_datadir}/dbus-1/interfaces/org.kde.amarok.SqlCollection.xml
%{_kde4_iconsdir}/*/*/*/*.png
%{_kde4_datadir}/kde4/services/ServiceMenus/amarok_append.desktop
%{_kde4_datadir}/kde4/services/amarok-containment-vertical.desktop
%{_kde4_datadir}/kde4/services/amarok-context-applet-albums.desktop
%{_kde4_datadir}/kde4/services/amarok-context-applet-currenttrack.desktop
%{_kde4_datadir}/kde4/services/amarok-context-applet-info.desktop
%{_kde4_datadir}/kde4/services/amarok-context-applet-lyrics.desktop
%{_kde4_datadir}/kde4/services/amarok-context-applet-photos.desktop
%{_kde4_datadir}/kde4/services/amarok-context-applet-videoclip.desktop
%{_kde4_datadir}/kde4/services/amarok-context-applet-wikipedia.desktop
%{_kde4_datadir}/kde4/services/amarok-data-engine-current.desktop
%{_kde4_datadir}/kde4/services/amarok-data-engine-info.desktop
%{_kde4_datadir}/kde4/services/amarok-data-engine-lyrics.desktop
%{_kde4_datadir}/kde4/services/amarok-data-engine-photos.desktop
%{_kde4_datadir}/kde4/services/amarok-data-engine-videoclip.desktop
%{_kde4_datadir}/kde4/services/amarok-data-engine-wikipedia.desktop
%{_kde4_datadir}/kde4/services/amarok-scriptengine-applet-simple-javascript.desktop
%{_kde4_datadir}/kde4/services/amarok-scriptengine-runner-javascript.desktop
%{_kde4_datadir}/kde4/services/amarok.protocol
%{_kde4_datadir}/kde4/services/amarok_collection-audiocdcollection.desktop
%{_kde4_datadir}/kde4/services/amarok_collection-daapcollection.desktop
%{_kde4_datadir}/kde4/services/amarok_collection-ipodcollection.desktop
%{_kde4_datadir}/kde4/services/amarok_collection-mtpcollection.desktop
%{_kde4_datadir}/kde4/services/amarok_collection-mysqlecollection.desktop
%{_kde4_datadir}/kde4/services/amarok_collection-mysqlservercollection.desktop
%{_kde4_datadir}/kde4/services/amarok_collection-umscollection.desktop
%{_kde4_datadir}/kde4/services/amarok_massstorage-device.desktop
%{_kde4_datadir}/kde4/services/amarok_service_ampache.desktop
%{_kde4_datadir}/kde4/services/amarok_service_ampache_config.desktop
%{_kde4_datadir}/kde4/services/amarok_service_jamendo.desktop
%{_kde4_datadir}/kde4/services/amarok_service_lastfm.desktop
%{_kde4_datadir}/kde4/services/amarok_service_lastfm_config.desktop
%{_kde4_datadir}/kde4/services/amarok_service_magnatunestore.desktop
%{_kde4_datadir}/kde4/services/amarok_service_magnatunestore_config.desktop
%{_kde4_datadir}/kde4/services/amarok_service_mp3tunes.desktop
%{_kde4_datadir}/kde4/services/amarok_service_mp3tunes_config.desktop
%{_kde4_datadir}/kde4/services/amarok_service_opmldirectory.desktop
%{_kde4_datadir}/kde4/services/amaroklastfm.protocol
%{_kde4_datadir}/kde4/servicetypes/amarok_*.desktop
%{_datadir}/locale/*/LC_MESSAGES/amarok.mo
%{_datadir}/locale/*/LC_MESSAGES/amarok_scriptengine_qscript.mo
%{_datadir}/locale/*/LC_MESSAGES/amarokcollectionscanner_qt.mo
%{_datadir}/locale/*/LC_MESSAGES/amarokpkg.mo
%{_datadir}/pixmaps/amarok.png

%changelog
* Sat Oct 10 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-2m)
- set BuildPreReq: libmtp-devel >= 1.0.1 for automatic building of STABLE_6

* Thu Oct  1 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.2.0-1m)
- version 2.2.0

* Fri Sep 25 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.90-1m)
- update to 2.2 RC 1 "Sunset Door"

* Sat Sep 19 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.85-1m)
- update to 2.2 Beta 2 "Red Dawn"

* Sat Sep  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.80-1m)
- update to version 2.2 Beta 1 "Crystal Clear"
- remove merged upstream patch

* Mon Jul  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-4m)
- set -DBINDINGS_RUN_RESULT:INTERNAL=1 to enable build on chroot environment

* Tue Jun 23 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-3m)
- temporarily, back to version 2.1 (to solve multibyte character mp3 tag issue)
- https://bugs.kde.org/show_bug.cgi?id=189527
- https://bugs.kde.org/show_bug.cgi?id=192448
- http://lists.kde.org/?l=amarok&m=124225723816478&w=2

* Thu Jun 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1.1-1m)
- version 2.1.1
- remove merged rev979207.patch

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-2m)
- apply upstream fixes to fix broken layout of "Edit Track Details" dialog
- http://bugs.kde.org/show_bug.cgi?id=195081

* Thu Jun  4 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-1m)
- version 2.1

* Sat May 16 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-0.2.1m)
- update to 2.1 Beta 2

* Sat Apr 11 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.1-0.1.1m)
- update to version 2.1 Beta 1 "Nuliajuk"
- remove all patches
- rescan collections before first listening by "Nuliajuk"

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.2-6m)
- rebuild against openssl-0.9.8k

* Mon Apr  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-5m)
- remove specopt section
- correct BR and Requires
- clean up spec file

* Mon Apr  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-4m)
- apply upstream patch for fixing last.fm scrobbling issue
- https://bugs.kde.org/show_bug.cgi?id=188678

- * Fri Mar 20 2009 NARITA Koichi <pulsar@momonga-linux.org>
- - (2.0.2-4m)
- - rebuild against qt-4.5.0-1m

* Thu Mar 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.2-3m)
- rebuild against mysql-5.1.32

* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-2m)
- rebuild against libgpod-0.7.0
- import libgpod-0.7.0.patch patch from Fedora

* Fri Mar  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.2-1m)
- version 2.0.2

* Sat Jan 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.1.1-4m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0.1.1-3m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1.1-2m)
- rebuild against KDE 4.2 RC

* Mon Jan 12 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.1.1-1m)
- version 2.0.1.1
- [SECURITY] CVE-2009-0135 CVE-2009-0136
- [SECURITY] fix possible buffer overflows when parsing Audible .aa files
- http://amarok.kde.org/en/releases/2.0.1.1

* Mon Jan  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-2m)
- rebuild against strigi-0.6.2

* Wed Dec 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-1m)
- version 2.0

* Sat Nov 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20081122.3m)
- enable fetching cover from amazon japan

* Sat Nov 29 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20081122.2m)
- Obsoletes: anp

* Sat Nov 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20081122.1m)
- update to version 2.0 RC 1 "Narwhal"
- clean up %%files

* Mon Nov 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20081104.2m)
- update %%description
- remove Requires: k3b and moodbar
- clean up spec file

* Tue Nov  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20081104.1m)
- update to version 2.0.0 Beta 3 "Ataksak"
- remove merged Momonga-language-pack

* Wed Oct 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20081022.1m)
- update to 20081022 svn snapshot
- fix up ja/messages/amarok.po to enable build

* Sat Oct  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.20081003.1m)
- update to version 2.0.0 Beta 2 "Nujalik"

* Fri Aug 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080822.1m)
- update to version 2.0.0 Beta 1 "Nerrivik"

* Thu Aug 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.10-1m)
- [SECURITY] CVE-2008-3699
- [SECURITY] SA31418 version 1.4.10
- http://secunia.com/advisories/31418/

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.9.1-8m)
- change Requires: gst-plugins-good to gstreamer-plugins-good

- * Wed Jul 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (2.0-0.20080723.1m)
- - update to version 2.0.0 Alpha 2 "Aulanerk"

- * Thu Jul 10 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (2.0-0.20080710.1m)
- - update to version 2.0.0 Alpha 1 "Malina"
- - clean up spec file

* Fri Jun 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-7m)
- add Requires: kdebase3 for icons

- * Fri Jun  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (2.0-0.20080606.1m)
- - update to 20080606 svn snapshot for KDE4.1 Beta 1

* Mon Jun  2 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-6m)
- build doc/{de,pl} again

* Sun May 25 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.4.9.1-5m)
- update gcc43 patch

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-4m)
- revise %%{_docdir}/HTML/*/amarok/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.9.1-3m)
- rebuild against qt3

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-2m)
- rebuild without kdebase3

* Fri Apr 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.9.1-1m)
- version 1.4.9.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-0.20080204.4m)
- rebuild against gcc43

* Sun Feb 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080204.3m)
- add -DHELIX_LIBRARY to %%build

* Sat Feb 23 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080204.2m)
- add Obsoletes: amarokFS

* Thu Feb 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.20080204.1m)
- update to 20080204 svn snapshot (rev.770653)

* Sat Feb 16 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.4.8-2m)
- add patch for gcc43, generated by gen43patch(v1)

- * Tue Jan 22 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (2.0-0.20080122.1m)
- - update to 20080122 svn snapshot for KDE4
- - include all translations
- - clean up patches

* Thu Dec 20 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.8-1m)
- version 1.4.8

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.7-4m)
- rebuild against libgpod-0.6.0

* Fri Oct 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.7-3m)
- rebuild against libmtp-0.2.3

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.7-2m)
- rebuild against libgpod-0.5.2 and libmtp-0.2.1

* Mon Aug 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.7-1m)
- version 1.4.7
- update momonga.patch

* Mon Jun 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.6-1m)
- version 1.4.6
- update momonga.patch
- remove merged upstream patch and security patch

* Wed Jun 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-10m)
- BuildPreReq: libusb-devel
- sort Requires and BPR

* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-9m)
- add an invitation to join the Momonga Linux last.fm group

* Sat Jun  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-8m)
- fix kde Bug 146020:
  amarok last.fm this item is not available for streaming when using custom station

* Sat Mar 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-7m)
- clean up spec file

* Mon Feb 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-6m)
- remove modplug_artsplugin
- Requires: unzip

* Fri Feb 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-5m)
- [SECURITY] CVE-2006-6979 fix magnatune
  http://bugs.kde.org/show_bug.cgi?id=138499
  http://secunia.com/advisories/24159/

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.5-4m)
- rebuild against xine-lib SDL-devel kdelibs kdebase kdemultimedia

* Tue Feb  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.4.5-3m)
- enable daap support (sorry...)

* Mon Feb  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-2m)
- update amarokrc (modify New Playlist Items Color)

* Mon Feb  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.5-1m)
- version 1.4.5
- disable daap support for the moment
- remove a package amarok-xmms, LibVisual supersedes this feature
- remove merged lastfm_works_with_xine_1.1.3.patch
- remove merged libgpod-0.4.2.patch
- remove libmtp-0.1-support.diff, libmtp-0.1.3 is working with this version
- remove merged amarok-yauap-engine.diff
- remove yauap-make.patch

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-9m)
- add a package amarok-yauap
- import amarok-yauap-engine.diff from opensuse
 +* Mon Jan 08 2007 - ssommer@suse.de
 +- update amarok-yauap-engine.diff to support audio cds
 +* Tue Dec 12 2006 - ssommer@suse.de
 +- added yauap engine from amarok svn
- add yauap-make.patch

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-8m)
- rebuild against libmtp-0.1.3
- import libmtp-0.1-support.diff from opensuse
 +* Fri Jan 12 2007 - dmueller@suse.de
 +- build against libmtp 0.1.x

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-7m)
- rebuild against libgpod-0.4.2
- import amarok-1.4.4-libgpod-0.4.2.patch from Fedora Extras
 +* Thu Jan 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.4.4-7
 +- add patch to enable building with libgpod >= 0.4.2, thanks go to Todd Zullinger

* Wed Jan 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-6m)
- rebuild against libvisual-0.4.0-3m

* Sun Jan 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-5m)
- rebuild against libmtp-0.1.0, libnjb-2.2.5-3m, libifp-1.0.0.2-3m and libtunepimp-0.5.3

* Thu Dec 14 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-4m)
- add amarok-1.4.4-lastfm_works_with_xine_1.1.3.patch
- enable playing Last.fm streams with xine-lib-1.1.3

* Tue Oct 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-3m)
- remove x86_64.patch

* Tue Oct 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-2m)
- add amarok-1.4.4-x86_64.patch
  http://mail.kde.org/pipermail/amarok/2006-October/001760.html

* Mon Oct 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.4-1m)
- version 1.4.4
- BuildPreReq: libgpod-devel >= 0.4.0
- BuildPreReq: libmtp-devel >= 0.0.21 

* Sat Sep 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-6m)
- remove desktop.patch

* Sun Sep 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-5m)
- rebuild against libgpod-0.3.2-3m and kdemultimedia-3.5.4-4m

* Sat Sep  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.3-4m)
- rebuild against arts-1.5.4-2m kdelibs-3.5.4-3m kdebase-3.5.4-11m
-- kdemultimedia-3.5.4-3m xine-lib-1.1.2-4m

* Wed Sep  5 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.3-3m)
- add BuildPreReq: dbus-glib-devel

* Tue Sep  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-2m)
- Requires: moodbar

* Tue Sep  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.3-1m)
- version 1.4.3

* Thu Aug 31 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.2-2m)
- update to BuildPreReq: libtunepimp-devel >= 0.4.1-4m

* Wed Aug 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-1m)
- version 1.4.2
- update libvisual020.patch

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.1-2m)
- rebuild against kdelibs-3.5.4-2m
- rebuild against kdebase-3.5.4-6m
- rebuild against kdemultimedia-3.5.4-2m

* Mon Jul  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-1m)
- version 1.4.1
- enable_gstreamer 0

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.5m)
- use "make -f admin/Makefile.common cvs"

* Fri Jun 23 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.4m)
- Requires: libtunepimp = 0.4.1
- BuildPreReq: libtunepimp-devel = 0.4.1

* Wed Jun 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.3m)
- amarok-libvisual Requires: libvisual-plugins = 0.2.0 for yum

* Tue Jun 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.2m)
- rebuild against libvisual-0.2.0
- add amarok-1.4.1-libvisual020.patch

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.1-0.1.1m)
- update to version 1.4.1-beta1
- enable_gstreamer 1
- update set-helix-paths.patch

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-5m)
- fix symlinks

* Sun May 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-4m)
- rebuild against libtunepimp-0.4.2

* Sat May 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-3m)
- version 1.4.0a

* Thu May 18 2006 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.4-0-2m)
- rebuild against mysql 5.0.22-1m

* Thu May 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.0-1m)
- version 1.4.0
- enable_gstreamer 0
 - GStreamer-0.10 engine was disabled for this release (not yet stable)

* Tue May  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4-0.3.2m)
- disable helix support for x86_64

* Mon Apr 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.3.1m)
- update to 1.4-beta3
- enable MP4/AAC Tag Write Support
- remove aKode-engine again

* Tue Apr  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.3m)
- build with new GStreamer (revive amarok-gstreamer)

* Sat Mar 25 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.2m)
- build with libakode (add aKode-engine again)

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.2.1m)
- update to 1.4-beta2
- remove fix-parallel-build.patch
- The aRts and GStreamer-0.8 engines have been removed for being obsolete
  (wait for GStreamer-0.10)

* Wed Feb 15 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4-0.1.1m)
- update to version 1.4-beta1
- update set-helix-paths.patch
- add fix-parallel-build.patch
- modify specopt (enable to build with PostgreSQL support)
- BuildPreReq: exscalibar-devel, libifp-devel, libgpod-devel
- BuildPreReq: ruby

* Mon Feb 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-3m)
- use specopt (enable to build without MySQL support)
  http://pc8.2ch.net/test/read.cgi/linux/1092539027/599

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-2m)
- add --enable-new-ldflags to configure

* Mon Jan 16 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.8-1m)
- version 1.3.8
- update set-helix-paths.patch

* Fri Dec  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.7-1m)
- version 1.3.7

* Mon Dec  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-5m)
- modify and install amarokrc (set Colors and OSD)

* Sat Nov 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-4m)
- enable MySQL support
- BuildPreReq: mysql-devel
- Requires: MySQL

* Tue Nov 22 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-3m)
- rebuild with libtunepimp (enable MusicBrainz support)

* Mon Nov 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-2m)
- rebuild against KDE 3.5 RC1

* Tue Nov  8 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.6-1m)
- version 1.3.6

* Sat Oct 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-2m)
- fix amarok.desktop

* Tue Oct 25 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.5-1m)
- version 1.3.5

* Mon Oct 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.4-1m)
- version 1.3.4
- update desktopfile.patch
- add set-helix-paths.patch
- remove helix-paths.patch

* Wed Oct 19 2005 Toru Hoshina <t@momonga-linux.org>
- (1.3.3-2m)
- enable ia64.

* Mon Oct 10 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.3-1m)
- version 1.3.3
- update desktopfile.patch

* Wed Sep 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.2-1m)
- version 1.3.2

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-2m)
- add --disable-rpath to configure

* Mon Sep  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3.1-1m)
- version 1.3.1

* Mon Aug 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- version 1.3
- add a package amarok-helix

* Mon Aug  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.3.1m)
- update to 1.3-beta3
- remove aKode-engine from %%files
- remove nokdelibsuff.patch

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.2.1m)
- update to 1.3-beta2

* Sat Jun 18 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-0.1.1m)
- update to version 1.3-beta1
- BuildPreReq: kdebase

* Sat May 21 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-1m)
- version 1.2.4

* Fri May 20 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.4-0.1.1m)
- update to version 1.2.4 RC1

* Wed May  4 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-3m)
- update amarok-1.2.3-nokdelibsuff.patch
  (do not touch admin/acinclude.m4.in)
- add modplug_artsplugin-0.5-nokdelibsuff.patch

* Wed Mar 30 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.3-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Tue Mar 29 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.3-1m)
- version 1.2.3
- add aKode-engine
- remove amarok-1.2.2-fix-kde-bug-101524.patch

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-2m)
- amarok-libvisual Requires: libvisual -> libvisual-plugins

* Wed Mar 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.2-1m)
- version 1.2.2
- import amarok-1.2.2-fix-kde-bug-101524.patch from KDE CVS
  see KDE BTS #101524

* Mon Feb 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.1-1m)
- version 1.2.1

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-2m)
- rebuild against SDL

* Mon Feb 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-1m)
- version 1.2

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.2-0.4.3m)
- rebuild against gst-plugins xine-lib

* Sat Feb 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.4.2m)
- add a package amarok-libvisual

* Mon Jan 31 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.4.1m)
- update to 1.2-beta4

* Sun Jan  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.3.1m)
- update to 1.2-beta3

* Fri Dec 10 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.2.1m)
- update to 1.2-beta2

* Sun Nov 28 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2-0.1.1m)
- update to version 1.2-beta1

* Sat Oct  9 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.1-1m)
- version 1.1.1
- remove amarok-1.1-docpath.patch

* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.1-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-1m)
- version 1.1
- Requires: k3b >= 0.11
- add amarok-1.1-docpath.patch

* Mon Sep 27 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.2.2m)
- rebuild against KDE 3.3.0

* Mon Sep 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-0.2.1m)
- update to version 1.1-beta2

* Sun Aug 22 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-6m)
- modify amarok.desktop for GNOME
- add %%{_datadir}/pixmaps/amarok.png for GNOME

* Fri Aug 20 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-5m)
- Requires: gst-plugins -> gst-plugins-additional

* Fri Aug 13 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-4m)
- add a package amarok-xine

* Sun Aug  8 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.2-3m)
- change md5sum %%NoSource 0

* Thu Aug  5 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.2-2m)
- change make install-strip to install

* Thu Aug  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Thu Jul  1 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-1m)
- version 1.0.1

* Sat Jun 26 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-2m)
- use make install-strip

* Fri Jun 25 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-1m)
- 1st release
- %%description and package style are imported from SUSE LINUX 9.1

* Thu Jun 17 2004 - adrian@suse.de
- update to version 1.0 final
* Wed Jun 02 2004 - adrian@suse.de
- add modplug_artsplugin version 0.5
* Tue Jun 01 2004 - adrian@suse.de
- update to version 1.0 beta 4
- update translations
* Tue May 11 2004 - adrian@suse.de
- add translations
* Mon May 10 2004 - adrian@suse.de
- add missing %%defattr
* Mon May 10 2004 - adrian@suse.de
- update to version 1.0 beta 3
- add gstreamer support in subpackage
* Fri Apr 23 2004 - adrian@suse.de
- update to version 1.0 beta 2
- use external (fixed) sqlite for 9.1 and newer
* Sat Apr 17 2004 - coolo@suse.de
- return in non-void functions
* Tue Apr 13 2004 - adrian@suse.de
- update to version 1.0 beta 1
- new sub package for xmms visual plugins support
* Sun Mar 07 2004 - adrian@suse.de
- update to version 0.9 final
* Sun Feb 29 2004 - adrian@suse.de
- update to beta3
* Mon Feb 23 2004 - adrian@suse.de
- move menu entry to Audio Players
* Sat Feb 21 2004 - adrian@suse.de
- neededforbuild fix kdemultimedia3-video -> -sound
- disable GStreamer support again (direct crash when using it)
* Sat Feb 21 2004 - adrian@suse.de
- update to beta 2
- enable GStreamer support
* Sun Feb 15 2004 - adrian@suse.de
- initial package of version 0.9 beta 1
